Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.crmf
Class CertReqMsg

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.crmf.CertReqMsg

All Implemented Interfaces:
  ASN1Value

public class CertReqMsg
extends java.lang.Object
implements ASN1Value

This class models a CRMF CertReqMsg structure.

Inner Class Summary
`static class` | `CertReqMsg.Template` A class for decoding CertReqMsg structures from a BER encoding.

Field Summary
`private CertRequest` | `certReq`
`private ProofOfPossession` | `pop`
`private SEQUENCE` | `regInfo`
`static Tag` | `TAG`
`private static CertReqMsg.Template` | `templateInstance`

Constructor Summary
`private` | `CertReqMsg()`
`` | `CertReqMsg(CertRequest certReq, ProofOfPossession pop, SEQUENCE regInfo)` Constructs a CertReqmsg from a CertRequest and, optionally, a pop>/i> and a regInfo.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Encodes this CertReqMsg to the given OutputStream using DER encoding.
`void` | `encode(Tag implicit, java.io.OutputStream ostream)` Encodes this CertReqMsg to the given OutputStream using DER encoding, with the given implicit tag.
`CertRequest` | `getCertReq()` Retrieves the CertRequest contained in this structure.
`ProofOfPossession` | `getPop()` Returns the pop field.
`SEQUENCE` | `getRegInfo()` Returns the regInfo field.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static CertReqMsg.Template` | `getTemplate()`
`boolean` | `hasPop()` Returns `true` if this CertReqMsg has a pop field.
`boolean` | `hasRegInfo()` Returns `true` if this CertReqMsg has a regInfo field.
`static void` | `main(java.lang.String[] args)`
`void` | `verify()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### TAG

    public static final Tag TAG

### certReq

    private CertRequest certReq

### regInfo

    private SEQUENCE regInfo

### pop

    private ProofOfPossession pop

### templateInstance

    private static final CertReqMsg.Template templateInstance

Constructor Detail

### CertReqMsg

    private CertReqMsg()

### CertReqMsg

    public CertReqMsg(CertRequest certReq,
                      ProofOfPossession pop,
                      SEQUENCE regInfo)

  Constructs a CertReqmsg from a CertRequest and, optionally, a pop>/i> and a regInfo.
  Parameters:
    `pop` - May be NULL.
    `regInfo` - May be NULL.

Method Detail

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`

### getCertReq

    public CertRequest getCertReq()

  Retrieves the CertRequest contained in this structure.

### hasRegInfo

    public boolean hasRegInfo()

  Returns `true` if this CertReqMsg has a regInfo field.

### getRegInfo

    public SEQUENCE getRegInfo()

  Returns the regInfo field. Should only be called if the field is present.

### hasPop

    public boolean hasPop()

  Returns `true` if this CertReqMsg has a pop field.

### getPop

    public ProofOfPossession getPop()

  Returns the pop field. Should only be called if the field is present.

### verify

    public void verify()
                throws java.security.SignatureException,
                       InvalidKeyFormatException,
                       java.security.NoSuchAlgorithmException,
                       CryptoManager.NotInitializedException,
                       TokenException,
                       java.security.InvalidKeyException,
                       java.io.IOException

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Encodes this CertReqMsg to the given OutputStream using DER encoding.
  Specified by:
    `encode` in interface `ASN1Value`

### encode

    public void encode(Tag implicit,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Encodes this CertReqMsg to the given OutputStream using DER encoding, with the given implicit tag.
  Specified by:
    `encode` in interface `ASN1Value`

### getTemplate

    public static CertReqMsg.Template getTemplate()

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD